package com.ff.base.enums;

import lombok.Getter;

/**
 * 通知状态
 *
 * @author shi
 * @date 2024/11/20
 */
@Getter
public enum NoticeStatus {
    PENDING_REVIEW(0, "待审核"),
    PENDING_SEND(1, "待发送"),
    SENT(2, "已发送"),
    REVOKED(3, "撤回");

    private final Integer code;
    private final String description;

    NoticeStatus(Integer code, String description) {
        this.code = code;
        this.description = description;
    }
}
